Unexpected prombles

109
1
01-26-2022 11:39 PM
ZhangHanzhi
New Contributor

I met a confused problem,I took over a previous Android project.And in the build.gradle,it had already configured the Arcgis for Android version 100.2.1.But in the codes,part of the imports run well and others go wrong,for example:

import com.esri.arcgisruntime.sample.hit.mymap.Utils.MyApplication;
import com.esri.arcgisruntime.sample.hit.R;
import com.esri.arcgisruntime.sample.hit.mymap.Utils.UpdateUtil;
import com.esri.arcgisruntime.sample.hit.mymap.Utils.WebService;

These parts run well.

import com.esri.arcgisruntime.data.ServiceFeatureTable;
import com.esri.arcgisruntime.layers.FeatureLayer;
import com.esri.arcgisruntime.mapping.ArcGISMap;
import com.esri.arcgisruntime.mapping.MobileMapPackage;
import com.esri.arcgisruntime.mapping.view.GraphicsOverlay;
import com.esri.arcgisruntime.mapping.view.LocationDisplay;
import com.esri.arcgisruntime.mapping.view.MapView;

 And these parts are marked as errors.The error is "Cant resolve symbol XXX".

0 Kudos
1 Reply
RamaChintapalli
Esri Contributor

Hi,

It seems to suggest that the classes that are part of the Runtime Android SDK are not available meaning the runtime android dependency was not properly added to the project.

Make sure the setup is correct as described below and may be Invalidate Caches (if you have any).
https://developers.arcgis.com/android/install-and-set-up/

Thanks
Rama

0 Kudos